
Base Distribution - Story # 41586

Status: Accepted Priority: Could have
Author: Markus Goldbeck Category: Documentation
Created: 2012-10-04 Assigned To: Sebastian Kurfuerst
Updated: 2013-07-04 Due date:
Subject: write Neos Integrator Guide
Description

DoD:

    -  Write Neos Integrator Guide
    -  Document best practices including SASS/Compass + RequireJS in customer projects
    -  document deployment using Surf (at least roughly)

Subtasks:
Task # 41100: Create one-page reference about all available TypoScript objects (nice to... Accepted
Task # 41040: (BREAKING) Rename page.headerData to page.head Resolved
Related issues:
related to Base Distribution - Story # 44970: Define Neos 1.0 API New 2013-01-30
related to Base Distribution - Work Package # 45004: Write TYPO3 Neos Integra... Accepted 2013-05-31

Associated revisions
Revision 32e11039 - 2013-03-28 12:13 - Sebastian Kurfuerst

[FEATURE] Add Neos Integrator Guide

Start of the integrator guide, neither complete nor the last change
touching this.

Change-Id: I4dbb214d985f3dfcdd4a48bb4f417bb0bb0b40a2
Related: #41586
Related: #45004

Revision a4ac8e81 - 2013-03-28 12:13 - Karsten Dambekalns

[TASK] Reorganize documentation

This takes the existing documentation and reorganizes it in a more
structured way.

Some markup adjustments are done (mostly to keep nesting levels
correct) and a few tiny content tweaks sneak in almost unnoticed.

Change-Id: Ieadd388557090163bbef3e2baa9be8bd4a2387f7
Related: #41586
Related: #45004

Revision 2ce36c07 - 2013-05-07 18:12 - Karsten Dambekalns
[TASK] Adjust Integrators Guide to "node  types"

The documentation now uses node type instead of the old term content
type. Also it has been checked, corrected and tweaked besides that.

Change-Id: Ic3af0710ce1307b0b12404c0c1c71185a6c0e742
Related: #45004
Related: #41586

History
#1 - 2013-01-29 14:18 - Robert Lemke
- Target version deleted (Sprint February 2013)
- Position set to 65

#2 - 2013-01-30 14:32 - Sebastian Kurfuerst
- Subject changed from As a Site Integrator, I want an easy way to get started with TypoScript to write Neos Integrator Guide
- Category set to Documentation
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Target version set to 1.0 beta 1

#3 - 2013-01-30 16:06 - Sebastian Kurfuerst
- Position deleted (76)
- Position set to 5
